## jumpCharacter

### Syntax:

    jumpCharacter (thisCharacter, sX, sY);

    jumpCharacter (thisCharacter, thisObject);

### Purpose:

Changes the location of thisCharacter to a new location on the screen immediately, whether in or out of any floor which setFloor may have currently set.

If the function call provides three parameters, the second and third parameters are assumed to be the co-ordinates of the new position (sX, sY).

If the function call provides only two parameters, the second is assumed to be an object thisObject which is already represented by a region on the screen using the addScreenRegion command. If this is the case, the character will turn to face the direction specified in the addScreenRegion call (unless this has been set to -1).

In either of these cases, if the co-ordinates to which the character is told to jump are (0, 0) the character will not move.

### Return value:

No return value.

### See also:

Object Types as Characters

addCharacter

forceCharacter

moveCharacter

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012